Subject: bug#42578: 28.0.50; [suggestion] allow dired-do-shell-command on directory line

From: Marco Wahl <[email-masked]>
Date: Tue, 28 Jul 2020 21:09:16 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> Marco Wahl <[email-masked]> writes:
>
>> What do you think about M-x dired-do-shell-command (typically bound to
>> !) on a dired directory line also?
>>
>> Up to now one gets an error.
>
> Does one actually?  Here's what I tried:
>
> 0. emacs -Q
> 1. C-x d / RET
> 2. ! ls RET
>
> and *Shell Command Output* correctly lists the contents of /bin/.
> The same also happens when I mark multiple directories, and in Emacs 27.
>
> Could you please provide more information on the error you encounter,
> and how to reproduce it?

Apologies for the carelessness with the original description.

I'm talking about those dired headlines here. To be more precise here is
an example.

I do

0. emacs -Q
1. C-x d / RET
2. M-g M-g 1
3. !

and observe the message "No files specified" in the minibuffer and no
further effect.

Can you reproduce that?

Best regards,
-- 
Marco